libpagemaker::PMDTextBox Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libpagemaker::PMDTextBox Class Reference

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDTextBox:

## Public Member Functions
| PMDTextBox (const PMDShapePoint &bboxTopLeft, const PMDShapePoint &bboxBotRight, const PMDXForm &xFormContainer, const std::string text, const std::vector< PMDCharProperties > charProps, const std::vector< PMDParaProperties > paraProps)
virtual double | getRotation () const
virtual double | getSkew () const
virtual PMDShapePoint | getXformTopLeft () const
virtual PMDShapePoint | getXformBotRight () const
virtual PMDShapePoint | getRotatingPoint () const
virtual PMDShapePoint | getBboxTopLeft () const
virtual PMDShapePoint | getBboxBotRight () const
virtual bool | getIsClosed () const
virtual std::vector< PMDShapePoint > | getPoints () const
virtual uint8_t | shapeType () const
virtual PMDFillProperties | getFillProperties () const
virtual PMDStrokeProperties | getStrokeProperties () const
virtual std::string | getText () const
virtual std::vector< PMDCharProperties > | getCharProperties () const
virtual std::vector< PMDParaProperties > | getParaProperties () const
virtual librevenge::RVNGBinaryData | getBitmap () const
virtual | ~PMDTextBox ()
Public Member Functions inherited from libpagemaker::PMDLineSet
virtual | ~PMDLineSet ()

## Private Attributes
PMDShapePoint | m_bboxTopLeft
PMDShapePoint | m_bboxBotRight
PMDXForm | m_xFormContainer
std::string | m_text
std::vector< PMDCharProperties > | m_charProps
std::vector< PMDParaProperties > | m_paraProps

## Constructor & Destructor Documentation

libpagemaker::PMDTextBox::PMDTextBox | ( | const PMDShapePoint & | bboxTopLeft,
|  | const PMDShapePoint & | bboxBotRight,
|  | const PMDXForm & | xFormContainer,
|  | const std::string | text,
|  | const std::vector< PMDCharProperties > | charProps,
|  | const std::vector< PMDParaProperties > | paraProps
| ) |  |
| inline

virtual libpagemaker::PMDTextBox::~PMDTextBox | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual PMDShapePoint libpagemaker::PMDTextBox::getBboxBotRight | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDTextBox::getBboxTopLeft | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual librevenge::RVNGBinaryData libpagemaker::PMDTextBox::getBitmap | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::vector<PMDCharProperties> libpagemaker::PMDTextBox::getCharProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDFillProperties libpagemaker::PMDTextBox::getFillProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual bool libpagemaker::PMDTextBox::getIsClosed | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::vector<PMDParaProperties> libpagemaker::PMDTextBox::getParaProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::vector<PMDShapePoint> libpagemaker::PMDTextBox::getPoints | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDTextBox::getRotatingPoint | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual double libpagemaker::PMDTextBox::getRotation | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual double libpagemaker::PMDTextBox::getSkew | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDStrokeProperties libpagemaker::PMDTextBox::getStrokeProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::string libpagemaker::PMDTextBox::getText | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDTextBox::getXformBotRight | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDTextBox::getXformTopLeft | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual uint8_t libpagemaker::PMDTextBox::shapeType | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

## Member Data Documentation

PMDShapePoint libpagemaker::PMDTextBox::m_bboxBotRight
| private

PMDShapePoint libpagemaker::PMDTextBox::m_bboxTopLeft
| private

std::vector<PMDCharProperties> libpagemaker::PMDTextBox::m_charProps
| private

std::vector<PMDParaProperties> libpagemaker::PMDTextBox::m_paraProps
| private

std::string libpagemaker::PMDTextBox::m_text
| private

PMDXForm libpagemaker::PMDTextBox::m_xFormContainer
| private

The documentation for this class was generated from the following file:

- geometry.h